[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
RE: [dsdp-tm-dev] API

Yes,
 
RSE 2.0.1 will be 100% upward and backward API compatible with RSE 2.0
We abide by the version numbering guidelines as per
http://wiki.eclipse.org/Version_Numbering
 
Note: when you use classes or interfaces from packages with "internal" in the
name, these are not considered API and thus not guaranteed to be compatible.
See http://wiki.eclipse.org/Provisional_API_Guidelines and
http://wiki.eclipse.org/API_Central

Cheers,
--
Martin Oberhuber
Wind River Systems, Inc.
Target Management Project Lead, DSDP PMC Member
http://www.eclipse.org/dsdp/tm

 


From: dsdp-tm-dev-bounces@xxxxxxxxxxx [mailto:dsdp-tm-dev-bounces@xxxxxxxxxxx] On Behalf Of Yaron Mazor
Sent: Monday, August 20, 2007 3:17 PM
To: Target Management developer discussions
Subject: [dsdp-tm-dev] API

Hi all.

 

We would like to use the RSE API for creating new FTP connections, including the UI dialog

for typing the username + password.

Since an important bug for us (#192610) will be released only in 2.0.1 we will work with your HEAD revision.

 

Is the API planned to stay the same in 2.0.1 ?

 

Thank’s,

Yaron